# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM
# 5725-C94
# (C) Copyright IBM Corporation 2011, 2012. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

import AdminUtilities

from java.lang import System, String
from java.util import Hashtable

cellName = System.getProperty("local.cell");
nodeName = System.getProperty("local.node")

servers = AdminUtilities.convertToList(AdminTask.listServers(["-serverType", "APPLICATION_SERVER", "-nodeName", nodeName]))

if len(servers) == 0:
  print "No application servers found on node %s, skipping REST endpoint configuration." % (nodeName)
else:
  if len(servers) != 1:
    raise AssertionError, "Need exactly one application server, found " + `len(servers)` + "."
  serverName = AdminConfig.showAttribute(servers[0], "name")
  parms = Hashtable()
  params = ['-nodeName', nodeName, '-serverName', serverName, '-name', 'Federated REST services', '-type', '{com.ibm.bpm}BFM', '-version', '8.0.0.0', '-businessSpaceNodeName', nodeName, '-businessSpaceServerName', serverName]
  print "Calling registerRESTServiceEndpoint with parameters %s" % (params)
  AdminTask.registerRESTServiceEndpoint(params)
  params = ['-nodeName', nodeName, '-serverName', serverName, '-name', 'Federated REST services', '-type', '{com.ibm.bpm}HTM', '-version', '8.0.0.0', '-businessSpaceNodeName', nodeName, '-businessSpaceServerName', serverName]
  print "Calling registerRESTServiceEndpoint with parameters %s" % (params)
  AdminTask.registerRESTServiceEndpoint(params)
#endif

print "Done."

AdminConfig.save()
