-- Scriptfile to upgrade schema for DB2 7.2 and DB2 8.1 & 8.2
-- Process this script in the DB2 command line processor
--
-- Example:
--             db2 connect to WPRCSDB
--             db2 -tf upgradeSchema602_customization.sql
--

-- *******************************************
-- Create the CUSTPROPERTIES table
-- *******************************************

CREATE TABLE CUSTPROPERTIES
  (PROPERTYID VARCHAR (128) NOT NULL,
   ARTIFACTTNS VARCHAR(250) NOT NULL,
   ARTIFACTNAME VARCHAR(200) NOT NULL,
   ARTIFACTTYPE VARCHAR(50) NOT NULL,
   PNAME VARCHAR(250) NOT NULL,
   PVALUE VARCHAR(250) NOT NULL,
   PTYPE VARCHAR (16) NOT NULL);

ALTER TABLE CUSTPROPERTIES
  ADD CONSTRAINT PK_CUSTPROP PRIMARY KEY (PROPERTYID);

CREATE INDEX CUSTPROP_INDEX1 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      ARTIFACTTNS);  
      
CREATE INDEX CUSTPROP_INDEX2 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      ARTIFACTNAME);
  
CREATE INDEX CUSTPROP_INDEX3 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      ARTIFACTTNS,
      ARTIFACTNAME);  
      
CREATE INDEX CUSTPROP_INDEX4 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      PNAME);      
      
CREATE INDEX CUSTPROP_INDEX5 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      ARTIFACTTNS,
      PNAME);      

